uk.ac.starlink.pds4

## Enum TableType

- java.lang.Object
- - java.lang.Enum<TableType>
  - - uk.ac.starlink.pds4.TableType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TableType>

      public enum TableType
      extends java.lang.Enum<TableType>

  Labels the known PDS4 table storage formats.
  Since:
    24 Nov 2021

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BINARY` Corresponds to Table_Binary.
    `CHARACTER` Corresponds to Table_Character.
    `DELIMITED` Corresponds to Table_Delimited.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TableType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TableType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BINARY

          public static final TableType BINARY

      Corresponds to Table_Binary.

    - #### CHARACTER

          public static final TableType CHARACTER

      Corresponds to Table_Character.

    - #### DELIMITED

          public static final TableType DELIMITED

      Corresponds to Table_Delimited.

  - ### Method Detail

    - #### values

          public static TableType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TableType c : TableType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TableType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null